Two-Factor Verification (OTP)
Trigger immediate SMS failover
POST
Explicitly triggers immediate resend of the active verification code via high-priority SMS route if WhatsApp delivery was delayed.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
phoneNumber*stringVerification code dispatched via SMS fallback route
application/json- response
status?stringmessage?stringdata?curl -X POST 'https://api.smspro.com/api/v1/public/otp/failover' \ -H 'Content-Type: application/json' \ -d '{ "phoneNumber": "string"}'Example Response
{ "status": "string", "message": "string", "data": { "otpId": "string", "to": "string", "status": "string", "expiresAt": "2019-08-24T14:15:22Z", "resendAfterSeconds": 0, "channel": "string", "challengeNonce": "string", "proofAlgorithm": "string", "proofFormat": "string" }}